Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Class DdlParserProblem

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.common.text.ParsingException
                      org.modeshape.sequencer.ddl.DdlParserProblem

All Implemented Interfaces:
  Serializable, DdlConstants.Problems

    public class DdlParserProblem

extends ParsingException
implements DdlConstants.Problems

A special form of `DdlConstants.Problems` that is also a `ParsingException`.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.modeshape.sequencer.ddl.DdlConstants.Problems
`ERROR, OK, WARNING`

Constructor Summary
`DdlParserProblem(int level, Position position, String message)`
`DdlParserProblem(int level, Position position, String message, Throwable cause)`
`DdlParserProblem(Position position)`

Method Summary
`void` | `appendSource(boolean addSpaceBefore, String value)`
`void` | `appendSource(boolean addSpaceBefore, String value, String... additionalStrs)`
`int` | `getLevel()`
`String` | `getUnusedSource()`
`void` | `setLevel(int level)`
`void` | `setUnusedSource(String unusedSource)`
`String` | `toString()`

Methods inherited from class org.modeshape.common.text.ParsingException
`getPosition`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DdlParserProblem

    public DdlParserProblem(Position position)

Parameters:
  `position` -

### DdlParserProblem

    public DdlParserProblem(int level,
                            Position position,
                            String message,
                            Throwable cause)

Parameters:
  `level` -
  `position` -
  `message` -
  `cause` -

### DdlParserProblem

    public DdlParserProblem(int level,
                            Position position,
                            String message)

Parameters:
  `level` -
  `position` -
  `message` -

Method Detail

### getUnusedSource

    public String getUnusedSource()

  Returns:
    the unused statement string

### setUnusedSource

    public void setUnusedSource(String unusedSource)

  Parameters:
    `unusedSource` -

### appendSource

    public void appendSource(boolean addSpaceBefore,
                             String value)

### appendSource

    public void appendSource(boolean addSpaceBefore,
                             String value,
                             String... additionalStrs)

### getLevel

    public int getLevel()

  Returns:
    level

### setLevel

    public void setLevel(int level)

  Parameters:
    `level` - Sets level to the specified value.

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`
  See Also:
    `Throwable.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.